# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "reference-trie"
version = "0.23.0"
authors = ["Parity Technologies <admin@parity.io>"]
description = "Simple reference trie format"
license = "Apache-2.0"
repository = "https://github.com/paritytech/trie/"

[[bench]]
name = "bench"
harness = false
[dependencies.hash-db]
version = "0.15.2"

[dependencies.hash256-std-hasher]
version = "0.15.2"

[dependencies.keccak-hasher]
version = "0.15.3"

[dependencies.parity-scale-codec]
version = "2.0.0"
features = ["derive"]

[dependencies.trie-db]
version = "0.22.0"
default-features = false

[dependencies.trie-root]
version = "0.16.0"
default-features = false
[dev-dependencies.criterion]
version = "0.3.3"

[dev-dependencies.trie-bench]
version = "0.27.0"

[features]
default = ["std"]
std = ["trie-db/std", "trie-root/std"]
